Skip to main content
GET
/
alpha
/
merchant
/
auctions
/
{slug}
Get merchant auction by slug
curl --request GET \
  --url https://api.auctionnow.io/api/alpha/merchant/auctions/{slug} \
  --header 'Authorization: <authorization>'
{
  "data": {
    "_id": "<string>",
    "_creationTime": 123,
    "title": "<string>",
    "description": "<string>",
    "startingPrice": 1,
    "startTime": 123,
    "endTime": 123,
    "shippingCostUS": 1,
    "shippingCostInternational": 1,
    "bidIncrement": 123,
    "partyId": "<string>",
    "slug": "<string>",
    "handle": "<string>",
    "binAble": true,
    "binAmount": 123,
    "productId": "<string>",
    "externalProductId": "<string>",
    "externalSubtenantId": "<string>",
    "details": {},
    "currentBidAmount": 123,
    "productUrl": "https://myshop.auctionnow.io/my-product-123",
    "isArchived": true,
    "bidCount": 123,
    "watcherCount": 123
  },
  "timestamp": 123,
  "message": "<string>"
}

Headers

Authorization
string
required

Your Auction Now API key as a Bearer token

Example:

"Bearer ak_XXXXXXX"

Path Parameters

slug
string
required

The unique slug of the auction

Response

Auction details

data
object
required

The auction details

timestamp
number
required
message
string